Page MenuHomePhabricator

Thumbnail missing for PDF file
Closed, DeclinedPublic

Description

Event Timeline

Alexrk2 created this task.Oct 18 2015, 3:40 PM
Alexrk2 raised the priority of this task from to Needs Triage.
Alexrk2 updated the task description. (Show Details)
Alexrk2 added a project: Commons.
Alexrk2 added a subscriber: Alexrk2.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptOct 18 2015, 3:40 PM

When purging the file (&action=purge) i get the following error:

[3500343b] 2015-10-18 15:50:29: Fatal exception of type MWException
Steinsplitter set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 18 2015, 3:55 PM
Reedy added a subscriber: Reedy.Oct 18 2015, 8:33 PM

When purging the file (&action=purge) i get the following error:

[3500343b] 2015-10-18 15:50:29: Fatal exception of type MWException
2015-10-18 15:50:29 mw1173 commonswiki exception ERROR: [3500343b] /w/index.php?title=File:Bezirkskarte_Charlottenburg-Wilmersdorf_10k_sw_2013.pdf&action=purge   MWException from line 1871 of /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/file/LocalFile.php: Could not acquire lock for 'Bezirkskarte_Charlottenburg-Wilmersdorf_10k_sw_2013.pdf.' {"exception_id":"3500343b"} 
[Exception MWException] (/srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/file/LocalFile.php:1871) Could not acquire lock for 'Bezirkskarte_Charlottenburg-Wilmersdorf_10k_sw_2013.pdf.'
  #0 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/file/LocalFile.php(597): LocalFile->lock()
  #1 /srv/mediawiki/php-1.27.0-wmf.2/includes/page/WikiFilePage.php(174): LocalFile->upgradeRow()
  #2 /srv/mediawiki/php-1.27.0-wmf.2/includes/page/Article.php(2048): WikiFilePage->doPurge()
  #3 /srv/mediawiki/php-1.27.0-wmf.2/includes/actions/PurgeAction.php(48): Article->__call(string, array)
  #4 /srv/mediawiki/php-1.27.0-wmf.2/includes/actions/PurgeAction.php(73): PurgeAction->onSubmit(array)
  #5 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(458): PurgeAction->show()
  #6 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(255): MediaWiki->performAction(ImagePage, Title)
  #7 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(662): MediaWiki->performRequest()
  #8 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(475): MediaWiki->main()
  #9 /srv/mediawiki/php-1.27.0-wmf.2/index.php(41): MediaWiki->run()
  #10 /srv/mediawiki/w/index.php(3): include(string)
  #11 {main}
Reedy renamed this task from JPG preview missing for PDF file to Thumbnail missing for PDF file.Oct 18 2015, 8:34 PM

When I go to the actual thumbnail, after a long period of time, I eventually get a 503.

Which is kind of odd, as normally I would expect the shell command to timeout before it go to the point where varnish would 503.

Reedy added a comment.EditedOct 18 2015, 9:20 PM

When I go to the actual thumbnail, after a long period of time, I eventually get a 503.
Which is kind of odd, as normally I would expect the shell command to timeout before it go to the point where varnish would 503.

Uploading it to my dev wiki is taking an age on pdftotext...

reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/core$ ps aux | grep pdftotext
www-data  6419  0.0  0.0   4472   832 ?        S    22:21   0:00 sh -c /bin/bash '/var/www/wiki/mediawiki/core/includes/limit.sh' ''\''pdftotext'\'' '\''/tmp/phpmbETux'\'' - ' 'MW_INCLUDE_STDERR=;MW_CPU_LIMIT=180; MW_CGROUP='\'''\''; MW_MEM_LIMIT=409600; MW_FILE_SIZE_LIMIT=409600; MW_WALL_CLOCK_LIMIT=180; MW_USE_LOG_PIPE=yes'
www-data  6420  0.0  0.3  20916  3192 ?        S    22:21   0:00 /bin/bash /var/www/wiki/mediawiki/core/includes/limit.sh 'pdftotext' '/tmp/phpmbETux' -  MW_INCLUDE_STDERR=;MW_CPU_LIMIT=180; MW_CGROUP=''; MW_MEM_LIMIT=409600; MW_FILE_SIZE_LIMIT=409600; MW_WALL_CLOCK_LIMIT=180; MW_USE_LOG_PIPE=yes
www-data  6421  0.0  0.0  11500   884 ?        S    22:21   0:00 /usr/bin/timeout 180 /bin/bash -c 'pdftotext' '/tmp/phpmbETux' - 
www-data  6422 99.9  6.5 105704 66936 ?        R    22:21   2:36 pdftotext /tmp/phpmbETux -
reedy     6425  0.0  0.2   9496  2156 pts/0    S+   22:24   0:00 grep --color=auto pdftotext
reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/core$

From my logs...

FSFile::getProps: Getting file info for /tmp/phpmbETux
MimeMagic::doGuessMimeType: analyzing head and tail of /tmp/phpmbETux for magic numbers.
MimeMagic::doGuessMimeType: magic header in /tmp/phpmbETux recognized as application/pdf
MimeMagic::guessMimeType: guessed mime type of /tmp/phpmbETux: application/pdf
MimeMagic::improveTypeFromExtension: improved mime type for .: application/pdf
wfShellExec: /bin/bash '/var/www/wiki/mediawiki/core/includes/limit.sh' ''\''pdfinfo'\'' -enc UTF-8  -l 9999999  -meta '\''/tmp/phpmbETux'\''' 'MW_INCLUDE_STDERR=;MW_CPU_LIMIT=180; MW_CGROUP='\'''\''; MW_MEM_LIMIT=409600; MW_FILE_SIZE_LIMIT=409600; MW_WALL_CLOCK_LIMIT=180; MW_USE_LOG_PIPE=yes'
[XMP] XMPReader::startElementModeInitial Ignoring unrecognized element <http://purl.org/dc/elements/1.1/:format>.
[XMP] XMPReader::startElementModeInitial Ignoring unrecognized element <http://ns.adobe.com/pdf/1.3/:Producer>.
[XMP] XMPReader::startElementModeInitial Ignoring unrecognized element <http://ns.adobe.com/xap/1.0/mm/:DocumentID>.
[XMP] XMPReader::startElementModeInitial Ignoring unrecognized element <http://ns.adobe.com/xap/1.0/mm/:InstanceID>.
PdfImage::retrieveMetaData: 'pdftotext' '/tmp/phpmbETux' -
wfShellExec: /bin/bash '/var/www/wiki/mediawiki/core/includes/limit.sh' ''\''pdftotext'\'' '\''/tmp/phpmbETux'\'' - ' 'MW_INCLUDE_STDERR=;MW_CPU_LIMIT=180; MW_CGROUP='\'''\''; MW_MEM_LIMIT=409600; MW_FILE_SIZE_LIMIT=409600; MW_WALL_CLOCK_LIMIT=180; MW_USE_LOG_PIPE=yes'

And then we get...

[581c4356] /wiki/Special:Upload UploadStashNotLoggedInException from line 272 of /var/www/wiki/mediawiki/core/includes/upload/UploadStash.php: UploadStash::stashFile No user is logged in, files must belong to users

Backtrace:

#0 /var/www/wiki/mediawiki/core/includes/upload/UploadBase.php(922): UploadStash->stashFile(string, string)
#1 /var/www/wiki/mediawiki/core/includes/upload/UploadBase.php(935): UploadBase->stashFile()
#2 /var/www/wiki/mediawiki/core/includes/upload/UploadBase.php(944): UploadBase->stashFileGetKey()
#3 /var/www/wiki/mediawiki/core/includes/specials/SpecialUpload.php(359): UploadBase->stashSession()
#4 /var/www/wiki/mediawiki/core/includes/specials/SpecialUpload.php(473): SpecialUpload->showUploadWarning(array)
#5 /var/www/wiki/mediawiki/core/includes/specials/SpecialUpload.php(197): SpecialUpload->processUpload()
#6 /var/www/wiki/mediawiki/core/includes/specialpage/SpecialPage.php(384): SpecialUpload->execute(NULL)
#7 /var/www/wiki/mediawiki/core/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
#8 /var/www/wiki/mediawiki/core/includes/MediaWiki.php(248): SpecialPageFactory::executePath(Title, RequestContext)
#9 /var/www/wiki/mediawiki/core/includes/MediaWiki.php(668): MediaWiki->performRequest()
#10 /var/www/wiki/mediawiki/core/includes/MediaWiki.php(474): MediaWiki->main()
#11 /var/www/wiki/mediawiki/core/index.php(41): MediaWiki->run()
#12 {main}

Filed that as T115822

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 15 2015, 2:19 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 26 2016, 3:57 PM
MarkTraceur triaged this task as Normal priority.Dec 5 2016, 9:38 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.
MarkTraceur added a subscriber: MarkTraceur.

Triaging as normal, but it looks like the thumbnails are generating now. Is this fixed?

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptDec 5 2016, 9:38 PM
Aklapper closed this task as Declined.Jan 25 2017, 6:40 PM

Cannot reproduce anymore, hence closing